from flask_mongoengine import Document
from mongoengine import StringField, IntField, BooleanField, ListField, ReferenceField


class User(Document):
    uidn = StringField()
    passw = StringField()
    rooms = ListField(ReferenceField('Room'))
    create_room_access = BooleanField(default=False)
    root_access =  BooleanField(default=False)

class Room(Document):
    ridn = StringField()
    creator = ReferenceField(User)
    room_name = StringField()
    streamer = BooleanField(default=False)
    room_id = IntField()

